#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <Corrade/Containers/GrowableArray.h>

#include "UnrealProperty.h"

struct ByteProperty : public UnrealProperty<Containers::Array<char>> {
    using ptr = Containers::Pointer<ByteProperty>;

    ByteProperty() {
        propertyType = "ByteProperty";
    }

    // For some reason, M.A.S.S. Builder stores EnumProperties as ByteProperties. Ugh...
    std::string enumType;
    std::string enumValue;
};
